-----------------------------------------------------------------------
--          GtkAda - Ada95 binding for the Gimp Toolkit              --
--                                                                   --
--                     Copyright (C) 1998-2000                       --
--        Emmanuel Briot, Joel Brobecker and Arnaud Charlet          --
--                     Copyright (C) 2001-2006 AdaCore               --
--                                                                   --
-- This library is free software; you can redistribute it and/or     --
-- modify it under the terms of the GNU General Public               --
-- License as published by the Free Software Foundation; either      --
-- version 2 of the License, or (at your option) any later version.  --
--                                                                   --
-- This library is distributed in the hope that it will be useful,   --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of    --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU --
-- General Public License for more details.                          --
--                                                                   --
-- You should have received a copy of the GNU General Public         --
-- License along with this library; if not, write to the             --
-- Free Software Foundation, Inc., 59 Temple Place - Suite 330,      --
-- Boston, MA 02111-1307, USA.                                       --
--                                                                   --
-----------------------------------------------------------------------

--  <description>
--  Provides full dynamic typing within GtkAda.
--  </description>
--  <c_version>2.8.17</c_version>

package Gtk.Type_Conversion is

   procedure Init;
   --  This function has to be called to enable the full capacity for type
   --  conversions in GtkAda. If this function is not called, then
   --  converting a C widget to an Ada type will not be as exact (for
   --  instance, most C widgets will get converted to a Gtk.Object, instead
   --  of the matching Ada widget. One major exception is Gtk_Label which
   --  will always be recognized by GtkAda).
   --  On the other hand, if you call this function (or with this package),
   --  then your application will 'with' all the GtkAda packages, involving
   --  bigger statically linked executables and a longer elaboration.

end Gtk.Type_Conversion;
